bands {raster} | R Documentation

## Number of bands

### Description

A 'band' refers to a single layer for a possibly multi-layer file. Most RasterLayer objects will refer to files with a single layer. The term 'band' is frequently used in remote sensing to refer to a variable (layer) in a multi-variable dataset as these variables typically reperesent reflection in different bandwidths in the electromagnetic spectrum. But in that context, bands could be stored in a single or in separate files. In the context of the raster package, the term band is equivalent to a layer in a raster file.

`nbands` returns the number of bands of the file that a RasterLayer points to (and 1 if it does not point at any file). This functions also works for a RasterStack for which it is equivalent to `nlayers`.

`band` returns the specific band the RasterLayer refers to (1 if the RasterLayer points at single layer file or does not point at any file).

### Usage

    nbands(x)
    bandnr(x, ...)

### Arguments

`x` | RasterLayer
`...` | Additional arguments (none at this time)

### Value

numeric >= 1

### See Also

`nlayers`

### Examples

    f <- system.file("external/rlogo.grd", package="raster")
    r <- raster(f, layer=2)
    nbands(r)
    bandnr(r)

[Package raster version 2.5-2 Index]